Exiv2 - Patch #839

Canon EOS M EF-M lenses
21 Aug 2012 10:59 - Pascal de Bruijn

Status: Closed Start date: 21 Aug 2012
Priority: Normal Due date:

Assignee: Robin Mills % Done: 100%
Category: metadata Estimated time: 0.00 hour
Target version: 0.25

Description

Hi,

| found some images samples using the new EOS M/EF-M lenses:

http://web.canon.jp/imaging/eosd/samples/eosm/downloads/01.jpg
pmijdebruijn@brutus:~$ exiv2 -pt 01.jpg | grep -i lens

Exif.CanonCs.LensType Short 1 (4145)
Exif.CanonCs.Lens Short 3 22.0 mm
Exif.Canon.LensModel Ascii 74 EF-M22mm /2 STMéeed
Exif.Photo.LensSpecification Rational 4 22/1 22/1 0/1 0/1
Exif.Photo.LensModel Ascii 17 EF-M22mm f/2 STM
Exif.Photo.LensSerialNumber Ascii 11 000000002d

My suggestion: Canon EF-M 22mm /2 STM

http://web.canon.jp/imaging/eosd/samples/eosm/downloads/09.jpg
pmijdebruijn@brutus:~$ exiv2 -pt 09.jpg | grep -i lens

Exif.CanonCs.LensType Short 1 (4143)
Exif.CanonCs.Lens Short 3 18.0-55.0 mm
Exif.Canon.LensModel Ascii 74

EF-M18-55mm {/3.5-5.6 IS STM¢ ¢ ¢

Exif.Photo.LensSpecification Rational 4 18/1 55/1 0/1 0/1
Exif.Photo.LensModel Ascii 29

EF-M18-55mm {/3.5-5.6 IS STM

Exif.Photo.LensSerialNumber Ascii 11 0000000000

My suggestion: Canon EF-M 18-55mm /3.5-5.6 IS STM
I've attached a patch adding these.

(PS, maybe it's a good idea to add a category "lens recognition"?)

Related issues:
Related to Exiv2 - Bug #876: New lens: Canon EF 35mm /2 IS USM Closed 11 Jan 2013

History

#1 - 29 Jan 2013 13:05 - Pascal de Bruijn
- File eosm.diff added

Here's an updated patch against current svn.

#2 - 29 Jan 2013 21:06 - Robin Mills

- Category changed from exif to metadata
- Status changed from New to Assigned

- Assignee set to Robin Mills

Thanks for sending this, Pascal. I'll add them to the test suite at the week-end.

| think we need a category "maker note updates". | use "metadata” for this kind of thing. | believe the forum is maintained by Brad.
http://web.canon.jp/imaging/eosd/samples/eosm/downloads/01.jpg
http://web.canon.jp/imaging/eosd/samples/eosm/downloads/09.jpg

| see an obvious issue here with the
Exif.Canon.LensModel Ascii 74 EF-M22mm f/2 STMeed

I've seen this before. The LensModel is an ascii string of 74 bytes. However in reality it is null-terminated and although there are 74 bytes allocated,
we should only ascii-print up to the nul byte. | tried a generic fix (all ascii strings are treated as NUL terminated) for this and the test suite reported a

unicode issues - so | didn't submit. I'll revisit this.

Robin

#3 - 24 Jul 2013 15:57 - Robin Mills
- Target version changed from 0.24 to 0.25

Deferred to 0.25.

#4 - 09 Jan 2015 19:46 - Robin Mills

- Status changed from Assigned to Resolved

| think this has been fixed:

530 rmills@rmillsmm:~/Downloads $ exiv2 -pa —-g Lens http://web.canon.jp/imaging/eosd/samples/eosm2/downloads/0

9.Jpg

Exif.CanonCs.LensType Short 1 Canon EF-M 22mm f/2 STM

Exif.CanonCs.Lens Short 3 22.0 mm

Exif.Canon.LensModel Ascii 74 EF-M22mm f/2 STM

Exif.Photo.LensSpecification Rational 4 22/1 22/1 0/1 0/1

Exif.Photo.LensModel Ascii 17 EF-M22mm £/2 STM

Exif.Photo.LensSerialNumber Ascii 11 000000f5c6

531 rmills@rmillsmm:~/Downloads $

#5 - 08 May 2015 16:22 - Robin Mills

- % Done changed from 0 to 100

#6 - 21 Jun 2015 16:42 - Andreas Huggel

- Status changed from Resolved to Closed

Files

exiv2-canon-eos-m-lenses.patch 910 Bytes 21 Aug 2012 Pascal de Bruijn
eosm.diff 844 Bytes 29 Jan 2013 Pascal de Bruijn
